import Qt 4.7

Rectangle {
    width: 200
    height: 200

    // Add four rectangles, each default at point (25, 25)
    RedRect { id: rect1; text: "1" }
    RedRect { id: rect2; text: "2" }
    RedRect { id: rect3; text: "3" }
    RedRect { id: rect4; text: "4" }

    // Run some infinite-loop animations on the rectangles
    SequentialAnimation {
        id: anim
        running: true
        loops: Animation.Infinite
        ParallelAnimation {
            RedRectAnimation { target: rect1; x: 25; y: 25; color: "green" }
            RedRectAnimation { target: rect2; x: 150; y: 25; color: "green" }
            RedRectAnimation { target: rect3; x: 25; y: 150; color: "green" }
            RedRectAnimation { target: rect4; x: 150; y: 150; color: "green" }
        }
        PauseAnimation { duration: 1000 }
        ParallelAnimation {
            RedRectAnimation { target: rect1; x: 150; y: 25; color: "yellow" }
            RedRectAnimation { target: rect2; x: 150; y: 150; color: "yellow" }
            RedRectAnimation { target: rect3; x: 25; y: 25; color: "yellow" }
            RedRectAnimation { target: rect4; x: 25; y: 150; color: "yellow" }
        }
        PauseAnimation { duration: 1000 }
        ParallelAnimation {
            RedRectAnimation { target: rect1; x: 25; y: 25; color: "red" }
            RedRectAnimation { target: rect2; x: 25; y: 25; color: "red" }
            RedRectAnimation { target: rect3; x: 25; y: 25; color: "red" }
            RedRectAnimation { target: rect4; x: 25; y: 25; color: "red" }
        }
        PauseAnimation { duration: 1000 }
    }
}
