import Qt 4.7

// Moves target item to (x,y) and simultaneously changes color
ParallelAnimation {

    id: parallelAnim

    // Target item
    property Item target

    // Coordinates where item is moved
    property alias x: xAnim.to
    property alias y: yAnim.to

    // Color into which item is changed
    property alias color: colorAnim.to

    NumberAnimation {
        id: xAnim
        target: parallelAnim.target
        property: "x"
        duration: 500
    }

    NumberAnimation {
        id: yAnim
        target: parallelAnim.target
        property: "y"
        duration: 500
    }

    ColorAnimation {
        id: colorAnim
        target: parallelAnim.target
        property: "color"
        duration: 500
    }
}

