import Qt 4.7

Rectangle {

    property alias text: num.text

    id: redRect
    color: "red"
    x: 25
    y: 25
    width: 25
    height: 25
    Text {
        id: num
        anchors.fill: parent
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    // This is bound to the state of the parent,
    // so changes along with that. State names
    // here must match the state names of parent
    state: parent.state

    // Each RedRectangle has default (red), green and yellow states
    states: [
        State {
            name: "state1"
            PropertyChanges { target: redRect; color: "green" }
        },
        State {
            name: "state2"
            PropertyChanges { target: redRect; color: "yellow" }
        }
    ]

    // Transition animations are applied on every state change
    transitions: [
        Transition {
            ColorAnimation { property: "color"; duration: 500 }
        }
    ]


}
